%define kernelver	2.4.19
%define cvstag		PKG_1_5_1

Summary:	The Linux Intrusion Detection System (LIDS)
Name:		lidstools
Version:	1.1.2rc4
Release:	1.3.1
Copyright:	GPL
Group:		Applications/Security
Source0:	lids-%{version}-%{kernelver}.tar.gz
Source1:	%{name}-gdfiles-%{cvstag}.tar.gz
Patch0:		lids-1.1.2rc4-2.4.19-GDIZE-gd-1.diff
Patch1:		lidstools-1.1.2rc4-feint-gd-1.diff
Prereq:		perl, perl-Crypt-RIPEMD160
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	lids-base

%description
Userland packages for the Linux Intrusion Detection System.  This
package is required in order for LIDS to work correctly.
 
%files
  %defattr(-,root,root)
  %attr(0500,root,root)	/sbin/lidsadm
  %attr(0500,root,root)	/sbin/lidsconf
  %attr(0500,root,root)	/sbin/lidsadm_gd
  %attr(0700,root,root)	/usr/sbin/config_lids.pl
  %config		/etc/lids/lids.cap
  %config		/etc/lids/lids.conf
  %config		/etc/lids/lids.pw
  %config		/etc/lids/lids.net
  %attr(0700,root,root)	%dir /etc/lids.d
  %attr(0400,root,root)	/etc/lids.d/00-BASE
  %attr(0700,root,root)	/etc/init.d/zlidsinit

%prep
%setup -q -n lids-%{version}-%{kernelver} -a 1
%patch0 -p1
%patch1 -p1

%build
  KERNEL_DIR=/usr/src/linux \
  CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=/sbin --disable-versions-checks
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{lids,lids.d,init.d}

  # Install binaries.
  install -m0500 lidstools/lidsadm    $RPM_BUILD_ROOT/%{_root_sbindir}
  install -m0500 lidstools/lidsadm_gd $RPM_BUILD_ROOT/%{_root_sbindir}
  install -m0500 lidstools/lidsconf   $RPM_BUILD_ROOT/%{_root_sbindir}

  # Install lids.* config files.
  cd lidstools-gdfiles-%{cvstag}
  for i in cap conf net pw
  do
    install -m0600 lids.$i $RPM_BUILD_ROOT/%{_sysconfdir}/lids
  done

  # Install initscript and config_lids related stuff.
  install -m0700 zlidsinit $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install -m0700 config_lids.pl $RPM_BUILD_ROOT/%{_sbindir}

  for i in lids.d/[0-9]*
  do
    install -m0600 $i $RPM_BUILD_ROOT/%{_sysconfdir}/lids.d
  done

%post
  /sbin/chkconfig --add zlidsinit

  #  Only run this if we're upgrading.
  if [ $1 = 2 ]; then
	/usr/sbin/config_lids.pl --force
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 14 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.3.1
  - Remove non-fent files from 00-BASE.
  - Change Parry references to Feint.

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Mar 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.5.2
  - Remove kernel dep.

* Thu Feb 27 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.5.1
  - Add /etc/firewall to 00-BASE.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue Dec 03 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.2.20
  - Update gdfiles (9), give the WebTool WRITE access to _every_
    file protected (READ, WRITE, or DENY) by LIDS.

* Tue Dec 03 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.2.19
  - Update gdfiles (8), don't use -w in config_lids.pl

* Tue Dec 03 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.2.18
  - Update gdfiles (7), finally make Sophos rule updates work
    with LIDS enabled.

* Mon Dec 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.2.1[67]
  - Update gdfiles (4 -> 6).
  - Re-enabled %post config script.

* Mon Dec 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.2rc4, Release 1.2.15
  - Update to 1.1.2rc4 (for 2.4.19).
  - Update gdfiles (3 -> 4).

* Mon Dec 02 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.1.1r2, Release 1.2.14
  - We are not using the LSM anymore so go back to stock LIDS 1.1.1r2
    userspace utilities.

* Fri Nov 29 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1, Release 1.2.13
  - Update gdfilse, config_lids.pl.

* Fri Nov 22 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1, Release 1.2.12
  - Update gdfiles.

* Wed Oct 30 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.1, Release 1.2.1[01]
  - Initial version of package.  Based loosely upon old lids-base package.
